You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1414.4.15, 2003-11-09 03:42:38-02:00, acme@conectiva.com.br
  o TCP: use sk_flush_backlog


 tcp.c |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)


diff -Nru a/net/ipv4/tcp.c b/net/ipv4/tcp.c
--- a/net/ipv4/tcp.c	Sat Nov 15 17:03:50 2003
+++ b/net/ipv4/tcp.c	Sat Nov 15 17:03:50 2003
@@ -1665,13 +1665,11 @@
 			/* __ Set realtime policy in scheduler __ */
 		}
 
-		if (copied >= target) {
+		if (copied >= target)
 			/* Do not sleep, just process backlog. */
-			release_sock(sk);
-			lock_sock(sk);
-		} else {
+			sk_flush_backlog(sk);
+		else
 			timeo = tcp_data_wait(sk, timeo);
-		}
 
 		if (user_recv) {
 			int chunk;

===================================================================


This BitKeeper patch contains the following changesets:
1.1414.4.15
## Wrapped with gzip_uu ##


M'XL( )9XMC\  \5476O;,!1]MG[%A;ZT#,OZLJUXN&1+QS8V6,C6YR++2AP<
M6\%2,@;^\5.RT8\05E8&DP02NH>C<^\]Z )NG1F*2.G.H OX8)TO(FU[H_UZ
MK["V':Z&$%A8&P))8SN3'+!)U;*D-SYF.,,4!<1<>=W W@RNB"CF]S?^Q]84
MT>+=^]O/;Q8(E27,&M6OS%?CH2R1M\->;6HW5;[9V![[0?6N,_[X]G@/'1DA
M+,R4YIRDV4@S(O)1TYI2):BI"1,R$^@@;7HJ_RD+IY1,2"H88R,11'!T Q13
M0046F*9 >$)I0B;A4 A6<!D35A "9ZGA%868H+?P;].8(0T6OLWF!>R< =?>
M+3<[U]Q52K<;NT*?0(0LT/RAE"C^RX$0401=/R,\=#A9;_<B\7J+]6/UDU2.
M3$HN1YUK6<NZIJRN#*NJ\Y4Z0_70B4F@RE)V=,=3W/,6>8E$5*N]Z:;]SCO<
MK_M6X<!R5B%A.9%,4C[RP)H=O9+24Y.PR9]-PB%._X-)?A7U"\3#]^,*79^?
MU/<%OKFA62:!HH^_]RA:+^%2V^W:U'!=@E?#ROBK RXGP ^XG $+N.A4XZ5K
BKUZ'@-DX<\0+>/27Z,;HUNVZ,D\-YWI)T$]:EK@WK@0     
 
